org.richfaces.component.html

## Class HtmlPanelBar

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.richfaces.component.UISwitchablePanel
          - - org.richfaces.component.UIPanelBar
            - - org.richfaces.component.html.HtmlPanelBar

- All Implemented Interfaces:
    javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder

      public class HtmlPanelBar
      extends UIPanelBar

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.UISwitchablePanel

      `AJAX_METHOD, CLIENT_METHOD, DEFAULT_METHOD, SERVER_METHOD`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlPanelBar()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContentClass()`
    `java.lang.String` | `getContentStyle()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getHeaderClass()`
    `java.lang.String` | `getHeaderClassActive()`
    `java.lang.String` | `getHeaderStyle()`
    `java.lang.String` | `getHeaderStyleActive()`
    `java.lang.String` | `getHeight()`
    `java.lang.String` | `getOnclick()`
    `java.lang.String` | `getOnitemchange()`
    `java.lang.String` | `getOnmousemove()`
    `java.lang.String` | `getOnmouseout()`
    `java.lang.String` | `getOnmouseover()`
    `java.lang.Object` | `getSelectedPanel()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getWidth()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setContentClass(java.lang.String _contentClass)`
    `void` | `setContentStyle(java.lang.String _contentStyle)`
    `void` | `setHeaderClass(java.lang.String _headerClass)`
    `void` | `setHeaderClassActive(java.lang.String _headerClassActive)`
    `void` | `setHeaderStyle(java.lang.String _headerStyle)`
    `void` | `setHeaderStyleActive(java.lang.String _headerStyleActive)`
    `void` | `setHeight(java.lang.String _height)`
    `void` | `setOnclick(java.lang.String _onclick)`
    `void` | `setOnitemchange(java.lang.String _onitemchange)`
    `void` | `setOnmousemove(java.lang.String _onmousemove)`
    `void` | `setOnmouseout(java.lang.String _onmouseout)`
    `void` | `setOnmouseover(java.lang.String _onmouseover)`
    `void` | `setSelectedPanel(java.lang.Object _selectedPanel)`
    `void` | `setStyle(java.lang.String _style)`
    `void` | `setStyleClass(java.lang.String _styleClass)`
    `void` | `setWidth(java.lang.String _width)`

    - ### Methods inherited from class org.richfaces.component.UIPanelBar

      `broadcast, getRendersChildren, getSwitchType`

    - ### Methods inherited from class org.richfaces.component.UISwitchablePanel

      `convertSwitchValue, getSwitchedFacetsAndChildren, processDecodes, processUpdates, processValidators, queueEvent, setSwitchType, updateModel`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, removeValidator, removeValueChangeListener, resetValue, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, validate, validateValue`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, getValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, getValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlPanelBar

          public HtmlPanelBar()

  - ### Method Detail

    - #### getContentClass

          public java.lang.String getContentClass()

    - #### setContentClass

          public void setContentClass(java.lang.String _contentClass)

    - #### getContentStyle

          public java.lang.String getContentStyle()

    - #### setContentStyle

          public void setContentStyle(java.lang.String _contentStyle)

    - #### getHeaderClass

          public java.lang.String getHeaderClass()

    - #### setHeaderClass

          public void setHeaderClass(java.lang.String _headerClass)

    - #### getHeaderClassActive

          public java.lang.String getHeaderClassActive()

    - #### setHeaderClassActive

          public void setHeaderClassActive(java.lang.String _headerClassActive)

    - #### getHeaderStyle

          public java.lang.String getHeaderStyle()

    - #### setHeaderStyle

          public void setHeaderStyle(java.lang.String _headerStyle)

    - #### getHeaderStyleActive

          public java.lang.String getHeaderStyleActive()

    - #### setHeaderStyleActive

          public void setHeaderStyleActive(java.lang.String _headerStyleActive)

    - #### getHeight

          public java.lang.String getHeight()

      Specified by:
        `getHeight` in class `UIPanelBar`

    - #### setHeight

          public void setHeight(java.lang.String _height)

      Specified by:
        `setHeight` in class `UIPanelBar`

    - #### getOnclick

          public java.lang.String getOnclick()

    - #### setOnclick

          public void setOnclick(java.lang.String _onclick)

    - #### getOnitemchange

          public java.lang.String getOnitemchange()

    - #### setOnitemchange

          public void setOnitemchange(java.lang.String _onitemchange)

    - #### getOnmousemove

          public java.lang.String getOnmousemove()

    - #### setOnmousemove

          public void setOnmousemove(java.lang.String _onmousemove)

    - #### getOnmouseout

          public java.lang.String getOnmouseout()

    - #### setOnmouseout

          public void setOnmouseout(java.lang.String _onmouseout)

    - #### getOnmouseover

          public java.lang.String getOnmouseover()

    - #### setOnmouseover

          public void setOnmouseover(java.lang.String _onmouseover)

    - #### getSelectedPanel

          public java.lang.Object getSelectedPanel()

      Specified by:
        `getSelectedPanel` in class `UIPanelBar`

    - #### setSelectedPanel

          public void setSelectedPanel(java.lang.Object _selectedPanel)

      Specified by:
        `setSelectedPanel` in class `UIPanelBar`

    - #### getStyle

          public java.lang.String getStyle()

    - #### setStyle

          public void setStyle(java.lang.String _style)

    - #### getStyleClass

          public java.lang.String getStyleClass()

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

    - #### getWidth

          public java.lang.String getWidth()

      Specified by:
        `getWidth` in class `UIPanelBar`

    - #### setWidth

          public void setWidth(java.lang.String _width)

      Specified by:
        `setWidth` in class `UIPanelBar`

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIInput`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `org.richfaces.component.UISwitchablePanel`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `org.richfaces.component.UISwitchablePanel`

Copyright © 2014. All Rights Reserved.